﻿Namespace ViewModel
    Public Class ConsumerViewModel
        Inherits ViewModelBase

        Private ReadOnly _consumerModel As Model.Consumer


        Friend Sub New(consumerModel As Model.Consumer, aviableData As (Devices As List(Of Model.Device), Rooms As List(Of Model.Room)))
            _consumerModel = consumerModel
            Device = aviableData.Devices.Where(Function(x) x.ID = _consumerModel.DeviceId).SingleOrDefault()
            Room = aviableData.Rooms.Where(Function(x) x.ID = _consumerModel.RoomId).SingleOrDefault()
        End Sub


        Public ReadOnly Property ID As Integer
            Get
                Return _consumerModel.ID
            End Get
        End Property


        Private _room As Model.Room
        Public Property Room As Model.Room
            Get
                Return _room
            End Get
            Set(ByVal Value As Model.Room)
                _room = Value
                RaisePropertyChanged()
            End Set
        End Property

        Private _device As Model.Device
        Public Property Device As Model.Device
            Get
                Return _device
            End Get
            Set(ByVal Value As Model.Device)
                _device = Value
                RaisePropertyChanged()
            End Set
        End Property



    End Class
End Namespace
